Subject: [alpine-devel] [PATCH] testing/crypto++: new aport

From: AmatCoder <[email-masked]>
Date: Thu, 11 Dec 2014 11:59:06 +0000

---
 testing/crypto++/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/crypto++/APKBUILD

diff --git a/testing/crypto++/APKBUILD b/testing/crypto++/APKBUILD
new file mode 100644
index 0000000..0a50b16
--- /dev/null
+++ b/testing/crypto++/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: August Klein <amatcoder_at_gmail.com>
+# Maintainer: August Klein <amatcoder_at_gmail.com>
+pkgname=crypto++
+pkgver=5.6.2
+pkgrel=0
+pkgdesc="A free C++ class library of cryptographic schemes"
+url="http://www.cryptopp.com"
+arch="all"
+license="custom"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/cryptopp/cryptopp562.zip"
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	sed -i -e 's/^CXXFLAGS/#CXXFLAGS/' GNUmakefile || return 1
+	export CXXFLAGS="${CXXFLAGS} -DNDEBUG -fPIC"
+	make libcryptopp.so || return 1
+}
+
+package() {
+	cd "$_builddir"
+	install -Dm644 libcryptopp.so "$pkgdir"/usr/lib/libcryptopp.so || return 1
+	install -Dm644 License.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+
+	mkdir -p "$pkgdir"/usr/include/cryptopp || return 1
+	cp *.h "$pkgdir"/usr/include/cryptopp || return 1
+}
+
+md5sums="7ed022585698df48e65ce9218f6c6a67  cryptopp562.zip"
+sha256sums="5cbfd2fcb4a6b3aab35902e2e0f3b59d9171fee12b3fc2b363e1801dfec53574  cryptopp562.zip"
+sha512sums="016ca7ebad1091d67ad0bc5ccb7549d96d4af6b563d9d5a612cae27b3d1a3514c41b954e319fed91c820e8c701e3aa43da186e0864bf959ce4afd1539248ebbe  cryptopp562.zip"
-- 
2.2.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---